<!DOCTYPE html>
<html>
  <head>
    <title>Social</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <section class="hero is-info is-small">
    <!-- Hero head: will stick at the top -->
    <div class="hero-head">
      <nav class="navbar">
        <div class="container">
          <div class="navbar-brand">
            <%= link_to 'Social', root_path, class: "navbar-item" %>
            <span class="navbar-burger burger" data-target="navbarMenuHeroA">
              <span></span>
              <span></span>
              <span></span>
            </span>
          </div>
          <div id="navbarMenuHeroA" class="navbar-menu">
            <% if user_signed_in? %>
              <div class="navbar-end">
                <%= link_to 'Logout', destroy_user_session_path, method: :delete, class:"navbar-item" %>
              </div>
            <% else %>
              <div class="navbar-end">
                <%= link_to "Login", new_user_session_path, class:"navbar-item" %>
              </div>
            <% end %>
          </div>
        </div>
      </nav>
    </div>

    <!-- Hero content: will be in the middle -->
    <div class="hero-body">
      <div class="container has-text-centered">
        <h1 class="title">
          <%= yield :page_title %>
        </h1>
      </div>
    </div>
    </section>
    <%= yield %>
  </body>
</html>
